{% extends 'base.html.twig' %}

{% set bodyClass = 'user_profile_user form edit' %}
{% set menuItem = 'user_profile_user' %}
{% set submitValue = submitValue|default('action.submit'|trans) %}

{% block title %}{{ 'user.user.title.edit'|trans }} - {{ parent() }}{% endblock %}

{% block body_head %}
    <h1>
        {{ 'user.user.title.edit'|trans }}
        <small>{{ form.vars.value }}</small>
    </h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'user.profile.breadcrumb.user_edit'|trans }

    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}

    <div class="row">
        {{ form_start(form) }}

        {# LEFT #}
        <div class="col-md-6">

            {# General #}
            <div class="box box-solid box-primary">
                <div class="box-header">{{ 'user.profile.form_user.tab.general'|trans }}</div>
                {{ form_start(form) }}
                <div class="box-body">
                    {{ form_row(form.firstName) }}
                    {{ form_row(form.lastName) }}
                    {{ form_row(form.email) }}
                </div>
            </div>

            {# Reset password #}
            <div class="box box-solid box-danger">
                <div class="box-header"><h3 class="box-title">{{ 'user.profile.form_user.tab.optional'|trans }}</h3></div>
                <div class="box-body">
                    <blockquote>
                        <small>{{ 'user.user.form.help.password'|trans }}</small>
                    </blockquote>
                    {{ form_row(form.plainPassword) }}
                </div>
            </div>
        </div>

        {# RIGHT #}
        <div class="col-md-6">

            {# Information #}
            <div class="box box-solid box-primary">
                <div class="box-header">{{ 'label.for_your_information'|trans }}</div>
                <div class="box-body">
                    <ul>
                        <li>Vous disposez d'un compte associé à la collectivité <strong>{{ form.vars.value.collectivity }}.</strong></li>
                        <li>Vous disposez des droits de <strong>lecture</strong> sur votre collectivité.</li>
                        {% if is_granted('ROLE_USER') %}
                            <li>Vous disposez des droits d'<strong>écriture</strong> sur votre collectivité.</li>
                        {% endif %}
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <div class="box box-solid">
                <div class="box-body text-center">
                    <input type="submit" class="btn btn-primary" value="{{ submitValue }}">
                </div>
            </div>
        </div>

        {{ form_end(form) }}
    </div>
{% endblock %}
